Subject: [nfsv4] Open with Claim_delegate_cur

From: [email-masked]
Date: Sun, 30 Nov 2003 15:17:38 -0500 (EST)

Ok, I've become convinced that A was the correct answer to the last one,
unless I hear otherwise... So I figured I'd bug you all yet again.

My understanding of Open with Claim_delegate_cur is as follows:
- A client has an Open Delegation that wants to Delegreturn (most likely
  because of a CBRecall), but it needs an Open so that it can continue
  to do I/O etc. on the file, so:
  - It does an Open with Claim_delegate_cur to get the Open state(id).

Does this sound right?

So, for this case should my server return a delegation as well as Open?
- My current thinking was No, since the client already has the delegation,
  but since my thinking was wrong on the last one, I figure I'd ask.
  (I can see the argument for it returning the Delegation the client already
   has, in the reply, because otherwise the reply has Delegate_none in it.)

Thanks yet again for any help, rick

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4